body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Noto Sans TC", Arial, sans-serif;
  color: #222;
  background: #fff;
  line-height: 1.5;
}

.container {
  max-width: 900px;
  width: 100%;
  margin: auto;
  padding: 5px 5px;
}

/* Header */
.site-header {
  background: #0f1f2e;
  color: #fff;
}

.header-inner {
  align-items: center;
  display: flex;
  height: 120px;
  gap: 40px;

}

.logo a {
  color: #fff;
  font-weight: bold;
  text-decoration: none;
}


img {
  max-width: 100%;
  height: auto;
}


/* Logo styling */
.logo img {
  display: inline-block;   /* keep it inline with text */
  vertical-align: middle;  /* keep it aligned with text */
  width: 60px;
  height: 60px;
  margin-left: 0px;       /* move 0px away from left */
}

.main-nav a {
  color: #fff;
  margin-left: 0px;
  /* text-decoration: none; */
  text-decoration: underline solid gold 1.5px;

  font-size: 16px;
}

.main-nav {
  display: flex;
  flex-wrap: wrap;
  gap: 8px 24px;
}

.logo-nav a {
  color: #fff;
  margin-left: 0px;
  text-decoration: none;
  font-size: 12px;
}


.logo img {
  margin-left: 0px;
}


.logo {
  flex-shrink: 0;
}


/* Hero */
.hero {
  background: #B0C4DE;
  padding: 2px;
  text-align: center;
}


.hero h1 {
  font-size: 28px;
  margin-right: 30px;
}


/* Sections */
.section {
  background: #FFF0F5;
  padding: 20px 20px;
}


.section-sys {
  background: #E6E6FA;
  padding: 20px 20px;
}


.section-light {
  background: #E0FFFF;
}

.grid-3 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  gap: 10px;
}

.card {
  padding: 20px;
  border: 1px solid #8B008B;
  border-radius: 8px;
}


/* Footer */
.site-footer {
  background: #0f1f2e;
  color: #ccc;
  padding: 40px 0;
  text-align: center;
}

/* Page header    */
.page-header {
  background:#B0C4DE ;
  padding: 20px;
  text-align: left;
}

.page-header h1 {
  margin: 0;
  font-size: 30px;
}

.page-desc {
  margin-top: 10px;
  color: #191970;
}


/* Narrow content for text pages */
.content-narrow {
  max-width: 900px;

}

/* Text formatting */
.content-narrow h2 {
  margin-top: 0px;
  font-size: 22px;
}

.content-narrow p {
  margin-top: 10px;
  color: #333;
}



/* =========================
   Mobile devices only
   ========================= */
@media (max-width: 600px) {

  .header-inner {
    flex-direction: column;      /* stack logo + menu */
    align-items: center;
    gap: 0px;
  }

  .logo img {
    width: 60px;               /* shrink logo */
    height: auto;

  }

  .main-nav {
    justify-content: left;
    flex-wrap: wrap;
    gap: 3px 6px;
    text-align: left;
  }

  .main-nav a {
    font-size: 12px;
    padding: 3px 4px;
  }


.logo-nav a {
    font-size: 12px;
    padding: 3px 3px;
  }


  img {
    max-width: 100%;
    height: auto;
  }
}

